> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about a cancellation fee policy

> ## Get information about a cancellation fee policy ##
<p>
Retrieves information about the given cancellation fee policy.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>cancellationFeePolicyId</td><td>n</td><td>Integer</td><td>ID of this cancellation fee policy.</td>
         </tr>
         <tr>
             <td>policyName</td><td>n</td><td>String</td><td>Name of the cancellation fee policy.</td>
         </tr>
         <tr>
             <td>policyDescription</td><td>y</td><td>String</td><td>Description of cancellation fee policy.</td>
         </tr>
         <tr>
             <td>usePercentMode</td><td>n</td><td>boolean</td><td>Whether the cancellation fee policy uses "percent mode" (true) or "dollar mode" (false).</td>
         </tr>
         <tr>
             <td>cancellationFeeRules</td><td>n</td><td>array</td><td>Collection of CancellationFeeRule objects.</td>
         </tr>
         <tr>
             <td>isDefault</td><td>n</td><td>boolean</td><td>Whether this is the default cancellation fee policy for this supplier.</td>
         </tr>
     </tbody>
 </table>

**CancellationFeeRule Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>daysBeforeTravelDate</td><td>n</td><td>Integer</td><td>Duration before voucher travel date that this rule will be in effect. For example, if there are two rules with daysBeforeTravelDate=2 and daysBeforeTravelDate=5, the first rule will be in effect if the voucher is cancelled within two days of travel, and the second rule will be in effect between three and five days before travel.</td>
         </tr>
         <tr>
             <td>feeAmount</td><td>n</td><td>Float</td><td>Amount of cancellation fee. This value is a percentage between 0 and 100 if the policy is in "percent mode", or a monetary amount in the applicable fare's currency if the policy is in "dollar mode".</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/cancellationpolicy/{cancellationFeePolicyId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/cancellationpolicy/{cancellationFeePolicyId}:
    get:
      tags:
        - Version 1
      summary: Get information about a cancellation fee policy
      description: |-
        ## Get information about a cancellation fee policy ##
        <p>
        Retrieves information about the given cancellation fee policy.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>cancellationFeePolicyId</td><td>n</td><td>Integer</td><td>ID of this cancellation fee policy.</td>
                 </tr>
                 <tr>
                     <td>policyName</td><td>n</td><td>String</td><td>Name of the cancellation fee policy.</td>
                 </tr>
                 <tr>
                     <td>policyDescription</td><td>y</td><td>String</td><td>Description of cancellation fee policy.</td>
                 </tr>
                 <tr>
                     <td>usePercentMode</td><td>n</td><td>boolean</td><td>Whether the cancellation fee policy uses "percent mode" (true) or "dollar mode" (false).</td>
                 </tr>
                 <tr>
                     <td>cancellationFeeRules</td><td>n</td><td>array</td><td>Collection of CancellationFeeRule objects.</td>
                 </tr>
                 <tr>
                     <td>isDefault</td><td>n</td><td>boolean</td><td>Whether this is the default cancellation fee policy for this supplier.</td>
                 </tr>
             </tbody>
         </table>

        **CancellationFeeRule Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>daysBeforeTravelDate</td><td>n</td><td>Integer</td><td>Duration before voucher travel date that this rule will be in effect. For example, if there are two rules with daysBeforeTravelDate=2 and daysBeforeTravelDate=5, the first rule will be in effect if the voucher is cancelled within two days of travel, and the second rule will be in effect between three and five days before travel.</td>
                 </tr>
                 <tr>
                     <td>feeAmount</td><td>n</td><td>Float</td><td>Amount of cancellation fee. This value is a percentage between 0 and 100 if the policy is in "percent mode", or a monetary amount in the applicable fare's currency if the policy is in "dollar mode".</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_api_product_cancellationpolicy_getpolicy
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: cancellationFeePolicyId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: Returned when the user is not authorized
        '404':
          description: Cancellation fee policy not found
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.